" Title: zkvim
" Description: Allows usage of the `zk` command from within Vim.

if exists('g:loaded_zk_vim')
	finish
endif
let g:loaded_zk_vim = 1

if ! exists('g:loaded_fzf')
	echo 'fzf is not loaded. zk.vim relies on fzf, please ensure it is installed and loaded correctly.'
	finish
endif

" Zsearch allows you to search for a Zettel and creates a link to the selected
" Zettel at your cursor
command! -nargs=0 Zsearch call zkvim#zsearch()
command! -nargs=0 Znew call zkvim#znew()
command! -nargs=1 Zinsertnew call zkvim#zinsertnew(<args>)
